Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.ref
Class DefaultDocumentSchema.PropertyInfo

    java.lang.Object
      com.bea.p13n.content.document.ref.DefaultDocumentSchema.PropertyInfo

Enclosing class:
  DefaultDocumentSchema

public static class DefaultDocumentSchema.PropertyInfo
extends Object

Helper data structure.

Field Summary
`Object` | `defValue` The default value for the property.
`String` | `description` A description.
`boolean` | `isMultiValued` Multi-valued flag.
`List` | `possibleValues` Possible values.
`int` | `type` The property type (BOOLEAN, NUMERIC, TEXT, DATETIME, USER_DEFINED).

Constructor Summary
`DefaultDocumentSchema.PropertyInfo()` Constructor.
`DefaultDocumentSchema.PropertyInfo(int type, Object defValue, boolean isMultiValued, List possibleValues, String description)` Constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public int type

  The property type (BOOLEAN, NUMERIC, TEXT, DATETIME, USER_DEFINED).

### defValue

    public Object defValue

  The default value for the property.

### isMultiValued

    public boolean isMultiValued

  Multi-valued flag.

### possibleValues

    public List possibleValues

  Possible values.

### description

    public String description

  A description.

Constructor Detail

### DefaultDocumentSchema.PropertyInfo

    public DefaultDocumentSchema.PropertyInfo(int type,
                                              Object defValue,
                                              boolean isMultiValued,
                                              List possibleValues,
                                              String description)

  Constructor.

### DefaultDocumentSchema.PropertyInfo

    public DefaultDocumentSchema.PropertyInfo()

  Constructor.

  All fields are blank using this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved